import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/pimappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: '74769e4fae4abae779fa5e1d71bef05d',
	name: 'user_menus',
	text: '用户菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '用户菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '5b9d13aef24ebeec49af943db98b35cb',
	name: 'menuitem3',
	text: '设置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '设置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-cog',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: '3191ef144a2b66a82edce66de7461bd5',
	name: 'top_menus',
	text: '顶部菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '顶部菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'A8D78DD5-209F-4ADF-8B05-72F646DFCECD',
	name: 'menuitem1',
	text: '-',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '-',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
	],
},
            {
	id: 'dfc129d27761fa5213b01cda5ee15778',
	name: 'left_exp',
	text: '左侧菜单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '左侧菜单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'F174B1DB-8E40-44BD-A1F9-4C58915A8375',
	name: 'menuitem19',
	text: '首页',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '首页',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-university',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
		{
	id: '1F73FB8E-0E2A-4B7A-B800-004B01AB2301',
	name: 'menuitem5',
	text: '基础',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '基础',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-users',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '4b24bf3dc681c591cb1663ce8853cc32',
	name: 'menuitem15',
	text: '员工',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '员工',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-user',
	icon: '',
	textcls: '',
	appfunctag: '_5',
	resourcetag: '',
},
		{
	id: '9EAF638F-4BD3-41E5-95D9-D0BB5A0F8375',
	name: 'menuitem8',
	text: '合同',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '合同',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-th-large',
	icon: '',
	textcls: '',
	appfunctag: '_11',
	resourcetag: '',
},
		{
	id: '7A36C06F-4B6F-4479-8D8C-7CA6FCF0FB70',
	name: 'menuitem16',
	text: '档案',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '档案',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-newspaper-o',
	icon: '',
	textcls: '',
	appfunctag: '_12',
	resourcetag: '',
},
		{
	id: '2839792B-0F2D-44D7-ADEB-6A30C89445DE',
	name: 'menuitem17',
	text: '职称',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '职称',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-shirtsinbulk',
	icon: '',
	textcls: '',
	appfunctag: '_7',
	resourcetag: '',
},
		{
	id: '05C5F292-8A81-448B-81EF-53527DFCA207',
	name: 'menuitem18',
	text: '证书',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '证书',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-certificate',
	icon: '',
	textcls: '',
	appfunctag: '_9',
	resourcetag: '',
},
	],
},
		{
	id: 'B25E7335-DEBD-478A-81FD-1BB47B68DFA4',
	name: 'menuitem2',
	text: '组织',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-sitemap',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '98B816C8-2AA6-4BB4-9CC5-C2B72A61C24B',
	name: 'menuitem4',
	text: '法人',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '法人',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-shirtsinbulk',
	icon: '',
	textcls: '',
	appfunctag: '_3',
	resourcetag: '',
},
		{
	id: '7950AF8B-457E-4B66-9E43-48FA95ED5A0C',
	name: 'menuitem6',
	text: '运营单位',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '运营单位',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-building-o',
	icon: '',
	textcls: '',
	appfunctag: '_4',
	resourcetag: '',
},
		{
	id: '8BCD342D-9983-4932-85AF-C31662BCE75A',
	name: 'menuitem7',
	text: '组织层次结构',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织层次结构',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-signal',
	icon: '',
	textcls: '',
	appfunctag: '_14',
	resourcetag: '',
},
		{
	id: 'F4927234-CF7B-44BA-AECC-24318EF8B794',
	name: 'menuitem9',
	text: '所有组织',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '所有组织',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-sitemap',
	icon: '',
	textcls: '',
	appfunctag: '_13',
	resourcetag: '',
},
	],
},
		{
	id: 'E065C1FE-A872-4209-A254-67DE568A5F43',
	name: 'menuitem10',
	text: '职位',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '职位',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-server',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'F40EFB9B-4A24-45F2-8CD1-BD9CFD890109',
	name: 'menuitem11',
	text: '职位',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '职位',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-delicious',
	icon: '',
	textcls: '',
	appfunctag: '_8',
	resourcetag: '',
},
		{
	id: '5866C16B-4C55-4E2C-8229-15F7533B9E4F',
	name: 'menuitem12',
	text: '职务',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '职务',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-bars',
	icon: '',
	textcls: '',
	appfunctag: '_6',
	resourcetag: '',
},
	],
},
		{
	id: 'CF53A596-B20F-4955-8166-98152FA63732',
	name: 'menuitem13',
	text: '调动',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '调动',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-pencil-square',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'A9D45433-F1E3-434B-A257-60E9799540EE',
	name: 'menuitem14',
	text: '调动申请',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '调动申请',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-cube',
	icon: '',
	textcls: '',
	appfunctag: '_15',
	resourcetag: '',
},
		{
	id: '5840477A-566C-4CB5-9109-51ACC293DFBE',
	name: 'menuitem20',
	text: '调动管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '调动管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-male',
	icon: '',
	textcls: '',
	appfunctag: '_2',
	resourcetag: '',
},
	],
},
	],
},
            {
	id: 'fec63a28f5d99fd4ac7e43004b6a16f8',
	name: 'bottom_exp',
	text: '底部内容',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部内容',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '5055aa1daf0c26ad0615bf59b899dac6',
	name: 'footer_left',
	text: '底部左侧',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部左侧',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '543d8997967e967da007eba50c2c8ba1',
	name: 'footer_center',
	text: '底部中间',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部中间',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
            {
	id: '6afec0593769e90bdf8be1d490367306',
	name: 'footer_right',
	text: '底部右侧',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '底部右侧',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
},
        ],
    }];
});

